import type { CollectionReference, DocumentData } from "./firestore-types";
import type { FsMutableDocument } from "./types.js";
export declare function useDocument<T extends DocumentData>(collectionRef: CollectionReference<T>, documentId?: string): [FsMutableDocument<T>, false] | [undefined, true];
/** A version of useDocument that doesn't throw when the document doesn't exist. */
export declare function useDocumentMaybe<T extends DocumentData>(collectionRef: CollectionReference<T>, documentId?: string): [FsMutableDocument<T> | undefined, boolean];
export declare function useDocumentData<T extends DocumentData>(collectionRef: CollectionReference<T>, documentId?: string): [T, false] | [undefined, true];
export declare function useDocumentDataMaybe<T extends DocumentData>(collectionRef: CollectionReference<T>, documentId?: string): [T | undefined, boolean];
export declare function useDocumentOnce<T extends DocumentData>(collectionRef: CollectionReference<T>, documentId?: string): [FsMutableDocument<T>, false] | [undefined, true];
export declare function useDocumentDataOnce<T extends DocumentData>(collectionRef: CollectionReference<T>, documentId?: string): [T, false] | [undefined, true];
//# sourceMappingURL=use-document.d.ts.map