import type { DocumentData, DocumentReference } from "./firestore-types";
import type { FsMutableDocument } from "./types.js";
export declare function useSpecificDocument<T extends DocumentData>(documentRef: DocumentReference<T>): [FsMutableDocument<T>, false] | [undefined, true];
/** A version of useDocument that doesn't throw when the document doesn't exist. */
export declare function useSpecificDocumentMaybe<T extends DocumentData>(documentRef: DocumentReference<T>): [FsMutableDocument<T> | undefined, boolean];
export declare function useSpecificDocumentData<T extends DocumentData>(documentRef: DocumentReference<T>): [T, false] | [undefined, true];
export declare function useSpecificDocumentDataMaybe<T extends DocumentData>(documentRef: DocumentReference<T>): [T | undefined, boolean];
export declare function useSpecificDocumentOnce<T extends DocumentData>(documentRef: DocumentReference<T>): [FsMutableDocument<T>, false] | [undefined, true];
export declare function useSpecificDocumentDataOnce<T extends DocumentData>(documentRef: DocumentReference<T>): [T, false] | [undefined, true];
//# sourceMappingURL=use-specific-document.d.ts.map